import request from '@/utils/request'

// 查询党员报到列表
export function listDangyuan(query) {
  return request({
    url: '/community/dangyuan/list',
    method: 'get',
    params: query
  })
}

// 查询党员报到详细
export function getDangyuan(dangyuanId) {
  return request({
    url: '/community/dangyuan/' + dangyuanId,
    method: 'get'
  })
}

// 新增党员报到
export function addDangyuan(data) {
  return request({
    url: '/community/dangyuan',
    method: 'post',
    data: data
  })
}

// 修改党员报到
export function updateDangyuan(data) {
  return request({
    url: '/community/dangyuan',
    method: 'put',
    data: data
  })
}

// 删除党员报到
export function delDangyuan(dangyuanId) {
  return request({
    url: '/community/dangyuan/' + dangyuanId,
    method: 'delete'
  })
}
