import request from '@/utils/request'

// 分页查询小区列表
export function listEstate(query) {
  return request({
    url: '/community/estate/list',
    method: 'get',
    params: query
  })
}

// 查询所有小区列表
export function listAllEstate(query) {
  return request({
    url: '/community/estate/listAll',
    method: 'get',
    params: query
  })
}

// 查询小区管理详细
export function getEstate(estateId) {
  return request({
    url: '/community/estate/' + estateId,
    method: 'get'
  })
}

// 新增小区管理
export function addEstate(data) {
  return request({
    url: '/community/estate',
    method: 'post',
    data: data
  })
}

// 修改小区管理
export function updateEstate(data) {
  return request({
    url: '/community/estate',
    method: 'put',
    data: data
  })
}

// 删除小区管理
export function delEstate(estateId) {
  return request({
    url: '/community/estate/' + estateId,
    method: 'delete'
  })
}
