import request from '@/utils/request'

// 查询检测日志管理列表
export function listLog(query) {
  return request({
    url: '/community/log/list',
    method: 'get',
    params: query
  })
}

// 查询检测日志管理详细
export function getLog(natLogId) {
  return request({
    url: '/community/log/' + natLogId,
    method: 'get'
  })
}

// 新增检测日志管理
export function addLog(data) {
  return request({
    url: '/community/log',
    method: 'post',
    data: data
  })
}

// 修改检测日志管理
export function updateLog(data) {
  return request({
    url: '/community/log',
    method: 'put',
    data: data
  })
}

// 删除检测日志管理
export function delLog(natLogId) {
  return request({
    url: '/community/log/' + natLogId,
    method: 'delete'
  })
}
