import request from '@/utils/request'

// 查询积分列表
export function listPoints(query) {
  return request({
    url: '/community/points/list-by-user',
    method: 'get',
    params: query
  })
}

// 查询积分详细
export function getPoints(userId) {
  return request({
    url: '/community/points/' + userId,
    method: 'get'
  })
}

// 新增积分
export function addPoints(data) {
  return request({
    url: '/community/points',
    method: 'post',
    data: data
  })
}

// 修改积分
export function updatePoints(data) {
  return request({
    url: '/community/points',
    method: 'post',
    data: data
  })
}

// 删除积分
export function delPoints(userId) {
  return request({
    url: '/community/points/' + userId,
    method: 'delete'
  })
}
