import request from '@/utils/request'

// 查询报名记录列表
export function listRecruitlog(query) {
  return request({
    url: '/community/recruitlog/list',
    method: 'get',
    params: query
  })
}

// 查询报名记录详细
export function getRecruitlog(recruitLogId) {
  return request({
    url: '/community/recruitlog/' + recruitLogId,
    method: 'get'
  })
}

// 新增报名记录
export function addRecruitlog(data) {
  return request({
    url: '/community/recruitlog',
    method: 'post',
    data: data
  })
}

// 修改报名记录
export function updateRecruitlog(data) {
  return request({
    url: '/community/recruitlog',
    method: 'put',
    data: data
  })
}

// 删除报名记录
export function delRecruitlog(recruitLogId) {
  return request({
    url: '/community/recruitlog/' + recruitLogId,
    method: 'delete'
  })
}
