import request from '@/utils/request'

// 查询居民信息管理列表
export function listResident(query) {
  return request({
    url: '/community/resident/list',
    method: 'get',
    params: query
  })
}

// 查询居民信息管理详细
export function getResident(residentId) {
  return request({
    url: '/community/resident/' + residentId,
    method: 'get'
  })
}

// 新增居民信息管理
export function addResident(data) {
  return request({
    url: '/community/resident',
    method: 'post',
    data: data
  })
}

// 修改居民信息管理
export function updateResident(data) {
  return request({
    url: '/community/resident',
    method: 'put',
    data: data
  })
}

// 删除居民信息管理
export function delResident(residentId) {
  return request({
    url: '/community/resident/' + residentId,
    method: 'delete'
  })
}

// 查询注册用户列表
export function bizUserList(query) {
  return request({
    url: '/community/BizUser/list',
    method: 'get',
    params: query
  })
}

// 修改用户标签
export function setTags(data) {
  return request({
    url: '/community/BizUser',
    method: 'put',
    data
  })
}
