import request from '@/utils/request'

// 查询检测任务管理列表
export function listTask(query) {
  return request({
    url: '/community/task/list',
    method: 'get',
    params: query
  })
}

// 查询检测任务管理详细
export function getTask(natTaskId) {
  return request({
    url: '/community/task/' + natTaskId,
    method: 'get'
  })
}

// 新增检测任务管理
export function addTask(data) {
  return request({
    url: '/community/task',
    method: 'post',
    data: data
  })
}

// 修改检测任务管理
export function updateTask(data) {
  return request({
    url: '/community/task',
    method: 'put',
    data: data
  })
}

// 删除检测任务管理
export function delTask(natTaskId) {
  return request({
    url: '/community/task/' + natTaskId,
    method: 'delete'
  })
}

// 查询检测人员
export function getrealtime(query) {
  return request({
    url: '/community/log/realtime',
    method: 'get',
    params: query
  })
}

// 查询检测人员数
export function getrealtimenum(query) {
  return request({
    url: '/community/log/realtime-statistics',
    method: 'get',
    params: query
  })
}

// 修改人员检测状态
export function setUserStatus(data) {
  return request({
    url: '/community/log/set-log-status',
    method: 'post',
    data
  })
}
