import request from '@/utils/request'

// 统计不同类型的活动次数
export function activityCountByType(query) {
  return request({
    url: '/community/stat/activity-count-by-type',
    method: 'get',
    params: query
  })
}

// 统计不同类型活动各有多少人参加
export function userCountByType(query) {
    return request({
      url: '/community/stat/user-count-by-type',
      method: 'get',
      params: query
    })
}

// 统计不同群体各有多少人数参加活动
export function userCountByTag(query) {
    return request({
      url: '/community/stat/user-count-by-tag',
      method: 'get',
      params: query
    })
}

// 统计参加活动的总人数
export function userTotalCountByTag(query) {
    return request({
      url: '/community/stat/user-total-count-by-tag',
      method: 'get',
      params: query
    })
}

// 统计不同群体各有多少人次参加活动
export function userTimesByTag(query) {
  return request({
    url: '/community/stat/user-times-by-tag',
    method: 'get',
    params: query
  })
}

// 统计参加活动的总人次
export function userTotalTimesByTag(query) {
  return request({
    url: '/community/stat/user-total-times-by-tag',
    method: 'get',
    params: query
  })
}

// 统计不同活动类型、主题、参与人数和积分数
export function activityTableA(query) {
    return request({
      url: '/community/stat/activity-table-a',
      method: 'get',
      params: query
    })
}

// 统计不同活动类型的次数、参与人数和积分数
export function activityTableb(query) {
    return request({
      url: '/community/stat/activity-table-b',
      method: 'get',
      params: query
    })
}

// 统计不同社区，不同积分区间的用户人数
export function activityTableC(query) {
  return request({
    url: '/community/stat/user-counts-by-community',
    method: 'get',
    params: query
  })
}

// 统计各类代金券发放情况
export function issuedCountTyType(query) {
  return request({
    url: '/discount/stat/issued-count-by-type',
    method: 'get',
    params: query
  })
}

// 统计各类代金券兑换情况
export function redeemCountTyType(query) {
  return request({
    url: '/discount/stat/redeem-count-by-type',
    method: 'get',
    params: query
  })
}

// 核销数统计查询
export function writeOffQuery(query) {
  return request({
    url: '/discount/stat/write-off-count',
    method: 'get',
    params: query
  })
}
